Download it now!
Bug 117815 - Shown cell comments saved in Calc as .xls don't print from Excel print option "as displayed on sheet"
Summary: Shown cell comments saved in Calc as .xls don't print from Excel print option...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xls
Depends on:
Blocks: Calc-Comments XLS
  Show dependency treegraph
 
Reported: 2018-05-26 09:27 UTC by N Thomas
Modified: 2019-12-04 07:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
printscreens (98.73 KB, application/vnd.oasis.opendocument.text)
2018-05-27 09:38 UTC, raal
Details
Initial file (24.50 KB, application/x-ole-storage)
2018-06-04 07:41 UTC, N Thomas
Details
Screen 1 (148.70 KB, image/png)
2018-06-04 07:41 UTC, N Thomas
Details
Screen 2 (171.01 KB, image/png)
2018-06-04 07:41 UTC, N Thomas
Details
Screen 3 (166.20 KB, image/png)
2018-06-04 07:42 UTC, N Thomas
Details
screen 4 (120.75 KB, image/png)
2018-06-04 07:42 UTC, N Thomas
Details
pdf from calc (24.21 KB, application/pdf)
2018-06-04 07:43 UTC, N Thomas
Details
pdf from excel (7.93 KB, application/pdf)
2018-06-04 07:43 UTC, N Thomas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description N Thomas 2018-05-26 09:27:11 UTC
When adding a cell comment in LibreOffice Calc then saving as .xls file type for later re-loading into MS Excel - the comments appear on the screen but not on the print preview. 

Comments saved in .xls from Excel load, display and print correctly in Calc but not the other way around. 

Given a mix of Calc or Excel contributions to an .xls file, LibreOffice is capable of displaying any comments on the normal screen and print preview screen, but and comments Calc generates are displayed on the normal screen in Excel, but not on the Print preview - nor the final print out. I have checked the correct settings in Excel to print the comments as seen on the screen, rather than end of the file.

Some might say this is a fault with MS Excel.. but seeing as Calc is capable of loading, displaying and re-saving the "excel native" cell comments without problem, but appears to be unable to generate its own cell comments for successful print preview display in excel.
Comment 1 raal 2018-05-27 09:38:13 UTC
Created attachment 142307 [details]
printscreens

Tested Version: 6.2.0.0.alpha0+
Build ID: c0fbf99e5601da27c59d131bcca24fafd259e508
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 

If I set Format-Page-Comments, then this option is correctly transfered to Page settings in excel2010 and comments are printed. Default setting is print comments off. Closing as notabug, set the page setting in your file.
Comment 2 N Thomas 2018-06-04 07:41:07 UTC
Created attachment 142501 [details]
Initial file
Comment 3 N Thomas 2018-06-04 07:41:33 UTC
Created attachment 142502 [details]
Screen 1
Comment 4 N Thomas 2018-06-04 07:41:54 UTC
Created attachment 142503 [details]
Screen 2
Comment 5 N Thomas 2018-06-04 07:42:19 UTC
Created attachment 142504 [details]
Screen 3
Comment 6 N Thomas 2018-06-04 07:42:57 UTC
Created attachment 142505 [details]
screen 4
Comment 7 N Thomas 2018-06-04 07:43:16 UTC
Created attachment 142506 [details]
pdf from calc
Comment 8 N Thomas 2018-06-04 07:43:39 UTC
Created attachment 142507 [details]
pdf from excel
Comment 9 Xisco Faulí 2018-06-05 08:52:26 UTC Comment hidden (obsolete)
Comment 10 Timur 2018-06-07 14:16:08 UTC
Title was "Cell comments saved as .xls don't show when loaded in Excel". But they do show, they don't print, only with Excel print option "as displayed on sheet". They do print from Excel print option "at the end of sheet".

I'm not sure if this is LO or MSO bug. But if we take Initial .xls file (created in LO and saved in MSO) and than resave in LO (I tried raal's print comments option) MSO 2013 will print neither. So there's an incompatibility here. 
Most simple test is to create .XLS with shown comment in LO (even OO where it started), open it in MSO and see in Print Preview that there's no comment when "as displayed on sheet" option is chosen.

I'll confirm but feel free to explain why this may not be LO bug.
Comment 11 QA Administrators 2019-12-04 04:21:31 UTC
Dear N Thomas,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug